import request from '@/utils/httpRequest'
import { ASSESS_PATH as prefix } from "../AppPath";

export default class ProgramTypeDictService {
  list (params) {
    return request({
      url: prefix + '/program/project/list',
      method: 'post',
      data: params
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/program/project/findByFileId',
      method: 'get',
      params: {id: id}
    })
  }
  getFileList (inputForm) {
    return request({
      url: prefix + '/program/project/getFileList',
      method: 'post',
      data: inputForm
    })
  }
  save (inputForm) {
    return request({
      url: prefix + `/program/project/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: prefix + '/program/project/deleteById',
      method: 'delete',
      params: {id: ids}
    })
  }
}
